/*-----------------------------------------------------------------*/
/* This program will use a DLL to display text onto the CVI Panel. */
/*-----------------------------------------------------------------*/
/* Note:  If any other object covers the DLL displayed text, the   */
/* text will have to be redrawn.                                   */
/*-----------------------------------------------------------------*/

#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <userint.h>
#include "cvitext.h"

int main (int argc, char *argv[])
{
    int panel, plot, quit, eventPanel, eventControl, clear;
    int window;
    
    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */
    
    /* Create UI interface */
    panel = NewPanel (0, "Panel", 50, 50, 200, 600);
    plot  = NewCtrl (panel, CTRL_SQUARE_COMMAND_BUTTON, "__Draw Text",  150, 50);
    quit  = NewCtrl (panel, CTRL_SQUARE_COMMAND_BUTTON, "__Quit",  150, 150);
    DisplayPanel (panel);

    /* Get the system window handle of the CVI panel */
    GetPanelAttribute(panel, ATTR_SYSTEM_WINDOW_HANDLE, &window);

    /* Loop and wait for the next event */
    while (1) {
        GetUserEvent (1, &eventPanel, &eventControl);

        if (eventControl == quit)
            break;
        else if (eventControl == plot) {
            /* Call the DLL function to draw text */
            DrawTextInWindow (window, 10, 10, "LabWindows/CVI", "Arial", 60, 1, 1, 3, 16777215);
        }
    }
    
    return 0;
}


