/* This is a simple project that will call
 * functions from an external DLL */


#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <formatio.h>
#include <userint.h>
#include "mydll.h"

int status;
char message[80];

int main (int argc, char *argv[])
{
    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */
    
    /* Tell the dll to run it's user interface */
    RunDllUI();

    /* Call the Stdcall Style DLL Function */
    status = MyDLLStdcallFunction("Text buffer 1 being passed from CVI to DLL");
    
    /* Display returned value from DLL function */
    Fmt(message, "MyDLLStdcallFunction status returned: %i", status);
    MessagePopup ("CVI MessagePopup ", message);
    

    /* Call the Cdecl Style DLL Function */
    status = MyDLLCdeclFunction("Text buffer 2 being passed from CVI to DLL");
    
    /* Display returned value from DLL function */
    Fmt(message, "MyDLLCdeclFunction status returned: %i", status);
    MessagePopup ("CVI MessagePopup ", message);

    return 0;
}

