
#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <userint.h>
#include <formatio.h>
#include <ansi_c.h>
#include "listbox.h"


/************************************************************************/
/*                                                                      */
/*  This program shows how you can manipulate items in a list box.      */
/*                                                                      */
/************************************************************************/

int main (int argc, char *argv[])
{
int handle;

    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */
    
    handle = LoadPanel (0, "listbox.uir", PANEL);
    DisplayPanel (handle);
    RunUserInterface ();

    return 0;
}

int CVICALLBACK TransferList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    int checked, value, maxitems, i;
    char label[20];

    if (event == EVENT_COMMIT) {
        ClearListCtrl (panel, PANEL_DISPLAY);
        GetNumListItems (panel, PANEL_SELECTOR, &maxitems);
        for (i=0;i<maxitems;i++) {
            IsListItemChecked (panel, PANEL_SELECTOR, i, &checked);
            if (checked) {
                GetValueFromIndex (panel, PANEL_SELECTOR, i, &value);
                GetLabelFromIndex (panel, PANEL_SELECTOR, i, label);
                InsertListItem (panel, PANEL_DISPLAY, -1, label, value);
                }
            }
        }
    return 0;
}

int CVICALLBACK ClearDisplay(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_COMMIT)
        ClearListCtrl (panel, PANEL_DISPLAY);
    return 0;
}

int CVICALLBACK Additem(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    char newitem[20];

    if (event == EVENT_COMMIT) {
        GetCtrlVal (panel, PANEL_NEWITEM, newitem);
        InsertListItem (panel, PANEL_SELECTOR, -1, newitem, 0);
        }
    return(0);
}

int CVICALLBACK RemoveItem(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    int maxitems, i;
    char removeitem[50], label[50];

    if (event == EVENT_COMMIT) {
        GetCtrlVal (panel, PANEL_REMOVEITEM, removeitem);
        GetNumListItems (panel, PANEL_SELECTOR, &maxitems);
        for (i=0;i<maxitems;i++) {
            GetLabelFromIndex (panel, PANEL_SELECTOR, i, label);
            if (CompareStrings (label, 0, removeitem, 0, 1) == 0)
                {
                DeleteListItem (panel, PANEL_SELECTOR, i--, 1);
                maxitems--;
                }
            }
        }
    return 0;
}


int CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_COMMIT)
        QuitUserInterface(0);
    return 0;
}
