
#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <userint.h>
#include <ansi_c.h>
#include "popups.h"


int main (int argc, char *argv[])
{
    int handle;
    
    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */
    
    handle = LoadPanel (0, "popups.uir", PANEL);
    DisplayPanel (handle);
    RunUserInterface();

    return 0;
}

int CVICALLBACK StartPopups(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    FILE* file_handle;
    int i, response, selection, num;
    double datapoints[100];
    char name[25], message[100], filename[MAX_PATHNAME_LEN + 1];

    if (event == EVENT_COMMIT) {
        PromptPopup ("This is a Prompt Popup",
                 "Please enter your name",
                 name, 20);

        sprintf(message, "Hi %s, Click on the OK button to continue", name);

        MessagePopup ("This is a Message Popup", message);

        /**** Generate some random data ****/
        for (i=0;i<100;i++)
            datapoints[i] = rand()/32767.0 * 100.0;

        YGraphPopup ("This is a Y Graph Popup", datapoints, 100, VAL_DOUBLE);

        response = ConfirmPopup ("This is a Confirm Popup",
                                 "Would you like to see the X Graph Popup?");
        if (response)
            XGraphPopup ("This is an X Graph Popup", datapoints, 100, VAL_DOUBLE);

        response = ConfirmPopup ("This is a Confirm Popup",
                                 "Would you like to save the Data to a file?");
        if (response) {
            /**** Get the filename from the user first ****/
            if ((selection = FileSelectPopup ("\\cvi\\samples", "*.dat", "datafile",
                                     "This is a File Select Popup",
                                     VAL_SAVE_BUTTON, 0, 0, 1, 0, filename))!=0) {
                /**** Open the file and write out the data ****/
                file_handle = fopen (filename,"w+");
                num = fwrite (datapoints, 8, 100, file_handle);
                fclose (file_handle);
                }
            }

        sprintf (message, "Goodbye %s, have fun using LabWindows/CVI", name);
        MessagePopup ("This is a Message Popup", message);
        }
        
    return 0;
}

int CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_COMMIT)
        QuitUserInterface(0);
        
    return 0;
}

