#include <userint.h>

#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <utility.h>

void DoStuff(void);

int main (int argc, char *argv[])
{
    int wasOtherInstance;
    
    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */
    
    /* Make sure that only one copy of this program is running. */
    /* If another copy is running, bring it to the front. */
    if(CheckForDuplicateAppInstance (ACTIVATE_OTHER_INSTANCE,
                                     &wasOtherInstance) < -1) {
        /* out of memory or handles */
        MessagePopup("Error", "Unable to allocate system resources.");
        return 1;
    }

    if(wasOtherInstance) {
        /* do any necessary clean-up and exit. */
        return 1;
    }
    
    /* do whatever the application normally does */
    DoStuff();

    return 0;
}

void DoStuff(void)
{
    MessagePopup("oneinst", "This is the first and only instance of this program\nTry starting another instance and see what happens.");
}
